Sakia disponible sur Pypi !

Bonjour à tous !

J’ai travaillé ces derniers jours pour permettre d’intégrer plus proprement sakia aux systèmes linux. En effet, sur ces systèmes, il convient de pouvoir packager sakia proprement, pas comme un gros binaire bloated…

Du coup, la première étape était d’en faire un package python propre. Voilà qui est fait !

Sakia sur Pypi

Qu’est-ce que ça signifie ? Concrètement, sous Linux, vous allez dorénavant pouvoir installer Sakia via l’intégration python, en attendant d’avoir un package propre dédié à votre système :slight_smile:

Une fois installé python3 et qt5, vous aurez juste à entrer la commande suivante :

sudo pip3 install sakia

J’ai release la 0.32.10 pour tester ce fonctionnement, n’hésitez pas à me dire ce que ça donne de votre côté !

8 J'aimes

J’ai essayé mais sous Ubuntu 14 ça me jette à cause d’une dépendance avec PyQt5 4.10… que je n’arrive pas à installer (même l’install à partir d’un wheel m’est refusée). Bon, je n’ai pas cherché plus que ça. Par ailleurs, je zip de sakia fonctionne très bien sur la même machine.

Alors oui, Ubuntu 14 c’est plus compliqué car ils utilisent une version obsolète de Qt5 (5.2) alors qu’on est en Qt LTS 5.9 maintenant.

De toute façon le zip est construit sur une ubuntu 14, donc il devrait fonctionner à peu près correctement sur cet OS.